Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
ALSACONF não detecta placa
24/03/2008, 01:31
Resposta: #1
ALSACONF não detecta placa
Olá amigos, estou tentando reconfigurar, para o modo padrão de instalação o alsa, porém eu não consigo, porque eu fiz uma instalação errada de um driver no linux, e agora, quando dou o comando "alsaconf", aparece as mensagens abaixo, que nao tem nada a ver com minha placa de audio



──────────────────────────────────────────────────────────┐
│ │
│ │
│ No supported PnP or PCI card found. │
│ │
│ Would you like to probe legacy ISA sound cards/chips? │
│ │
│ │
│ <Sim> <Não> │
│ │


─────────┤ Driver Selection ├─────────────────────┐
│ Probing legacy ISA cards │
│ │
│ Please select the drivers to probe: │
│ │
│ [*] opl3sa2 Yamaha OPL3SA2+ │
│ [*] cs4236 Cirrus Logic CS4235-9 │
│ [*] cs4232 Cirrus Logic CS4232 │
│ [*] cs4231 Generic CS4231 │
│ [*] es18xx ESS ES18xx AudioDrive │
│ [*] es1688 ESS ESx688 AudioDrive │
│ [*] sb16 Sound Blaster 16 │
│ [*] sb8 Sound Blaster 1.0/2.0/Pro │
│ │
│ <Ok> <Cancelar> │
│ └──────────────────────────────────────────────────────────┘
como, faço para corrigir isso?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
25/03/2008, 00:26
Resposta: #2
 
Olá, tente atualizar o alsa para 1.0.16, eis o links abaixo:
- alsa-driver ftp://ftp.alsa-project.org/pub/driver/a ... 16.tar.bz2
- alsa-lib ftp://ftp.alsa-project.org/pub/lib/alsa ... 16.tar.bz2
- alsa-utils ftp://ftp.alsa-project.org/pub/utils/al ... 16.tar.bz2

aí compile o alsa-driver assim:

Código:
$ ./configure --with-card-options=all
$ make
# make install


e compile o alsa-lib e alsa-utils assim:

Código:
$ ./configure
$ make
# make install

execute tb o script .snddevices que está no diretório do alsa-driver-1.0.16:
# ./snddevices

antes de iniciar a compilação, esteja certo que possue os sources e headers do seu kernel e tb instalado os pacotes:
apt-get install libncurses5-dev ncurses-dev gettext

depois disso tudo e sem dar erros, faça o alsaconf e depois de reiniciar veja se tudo fica beleza.




tag: alsa-driver alsaconf

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/04/2008, 00:10
Resposta: #3
ops....
não rolou esta dica para mim.
consegui atualizar o programa, o alsaconf, alxamixer e o alsactlstore rodaram sem pau, mas na hora de testar o som nada....

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/04/2008, 00:15
Resposta: #4
 
tentei configurar rodar o alsa desde o começo de novo, mas:

aquitemcaqui:/home/caqui/programas/alsa/alsa-driver-1.0.16# alsamixer

alsamixer: function snd_mixer_load failed: Invalid argument

falou

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/04/2008, 10:48
Resposta: #5
 
aquitemcaqui Escreveu:tentei configurar rodar o alsa desde o começo de novo, mas:

aquitemcaqui:/home/caqui/programas/alsa/alsa-driver-1.0.16# alsamixer

alsamixer: function snd_mixer_load failed: Invalid argument

falou

é notebook?
sabe se o dispositivo de som é o snd-hda ? veja com:
$ lspci
veja os modulos do alsa se estão carregando:
$ lsmod | grep snd

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/04/2008, 20:06
Resposta: #6
 
Note sim! Acer aspire 5100

lspci

00:14.2 Audio device: ATI Technologies Inc SB450 HDA Audio (rev 01)


lsmod | grep snd

snd_hda_intel 25248 4
snd_hda_codec 200192 1 snd_hda_intel
snd_mixer_oss 22144 1
snd_pcm 89608 3 snd_hda_intel,snd_hda_codec
snd_timer 28808 2 snd_pcm
snd 67304 9 snd_hda_intel,snd_hda_codec,snd_mixer_oss,snd_pcm,snd_timer
soundcore 15392 2 snd
snd_page_alloc 16016 2 snd_hda_intel,snd_pcm

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/04/2008, 21:31
Resposta: #7
 
aquitemcaqui Escreveu:Note sim! Acer aspire 5100

lspci

00:14.2 Audio device: ATI Technologies Inc SB450 HDA Audio (rev 01)


lsmod | grep snd

snd_hda_intel 25248 4
snd_hda_codec 200192 1 snd_hda_intel
snd_mixer_oss 22144 1
snd_pcm 89608 3 snd_hda_intel,snd_hda_codec
snd_timer 28808 2 snd_pcm
snd 67304 9 snd_hda_intel,snd_hda_codec,snd_mixer_oss,snd_pcm,snd_timer
soundcore 15392 2 snd
snd_page_alloc 16016 2 snd_hda_intel,snd_pcm

ok, tente esse procedimento, remova o arquivo asound.state:
# rm /var/lib/alsa/asound.state

agora descarregue e carregue o modulo snd-hda-intel:

# modprobe -r snd_hda_intel
# modprobe snd_hda_intel

feito isso clique com o botão direito neste link Arquivo anexado. e escolha salvar como... asound.state pode ser no diretório do root.

Agora restaure esse arquivo com:

# alsactl -F -f /root/asound.state restore

veja se agora funciona o som e o alsamixer.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
08/04/2008, 23:07
Resposta: #8
 
dmatrix, rolaram alguns problemas...

o protocolo que você sugeriu, eu já tinha realizado conforme o tópico em http://www.burghardt.pl/2007/11/debian- ... -5102wlmi/

entretanto, resolvi testar de novo, pois ele é para o alsa 1.0.13.

logo na hora de recarregar os módulos ocorre um problema:

aquitemcaqui:/home/caqui# modprobe -r snd_hda_intel
FATAL: Module snd_hda_intel is in use.

tentei ignorar isto e seguir o roteiro que você sugeriu e manteve-se a situação: nada de som, embora o alsa-mixer tenha funcionado. tentei alterar os volumes no modo gráfico, mas não rola com o PCM, que fica travado no máximo.

segue a saída final do terminal:

aquitemcaqui:/home/caqui# alsactl -F -f /root/asound.state restore
alsactl: set_control:1403: Cannot write control '2:0:0:PCM Playback Volume:0' : Operation not permitted

o mais estranho é que como o alsa 1.0.13 consigo configurar o som e ele funciona direito, embora não se mantenha, como eu disse, enquanto com o 1.0.16, supostamente melhor, não rola nada...

falou

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
09/04/2008, 12:20
Resposta: #9
 
aquitemcaqui Escreveu:dmatrix, rolaram alguns problemas...

o protocolo que você sugeriu, eu já tinha realizado conforme o tópico em http://www.burghardt.pl/2007/11/debian- ... -5102wlmi/

entretanto, resolvi testar de novo, pois ele é para o alsa 1.0.13.

logo na hora de recarregar os módulos ocorre um problema:

aquitemcaqui:/home/caqui# modprobe -r snd_hda_intel
FATAL: Module snd_hda_intel is in use.

tentei ignorar isto e seguir o roteiro que você sugeriu e manteve-se a situação: nada de som, embora o alsa-mixer tenha funcionado. tentei alterar os volumes no modo gráfico, mas não rola com o PCM, que fica travado no máximo.

segue a saída final do terminal:

aquitemcaqui:/home/caqui# alsactl -F -f /root/asound.state restore
alsactl: set_control:1403: Cannot write control '2:0:0:PCM Playback Volume:0' : Operation not permitted

o mais estranho é que como o alsa 1.0.13 consigo configurar o som e ele funciona direito, embora não se mantenha, como eu disse, enquanto com o 1.0.16, supostamente melhor, não rola nada...

falou

posta o codec deste seu dispositivo pra gente saber:
$ cat /proc/asound/card0/codec#* | grep Codec

aqui tem uns procedimetos já com o alsa 1.0.15 mas só faça se o codec for o mesmo. http://derkosak.blogspot.com/2007/10/gu ... -5100.html

a versão do kernel dele é a 2.6.22.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
09/04/2008, 23:13
Resposta: #10
 
aquitemcaqui:/home/caqui# cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC883
Codec: Conexant ID 2c06
Codec: Generic ffff ID ffff

kernel
aquitemcaqui:/home/caqui# uname -r
2.6.18-6-amd64

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/04/2008, 09:50
Resposta: #11
 
segui o tutorial do site, mas mesmo assim ocorreram alguns problemas e a configuração continua resetando. Isto dá para resolver rodando o alsamixer e subindo todos os volumes novamente, mas com certeza não é a situação ideal.

postei lá comentários sobre as dificuldades

http://derkosak.blogspot.com/2007/10/gu ... -5100.html

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/04/2008, 12:11
Resposta: #12
 
já fez os procedimentos deste wiki http://wiki.forumdebian.com.br/index.ph ... do_Drivers

mensagens de simbolos não conhecidos pode ser falta de preparação do ambiente do kernel.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/04/2008, 12:19
Resposta: #13
 
aquitemcaqui Escreveu:segui o tutorial do site, mas mesmo assim ocorreram alguns problemas e a configuração continua resetando. Isto dá para resolver rodando o alsamixer e subindo todos os volumes novamente, mas com certeza não é a situação ideal.

postei lá comentários sobre as dificuldades

http://derkosak.blogspot.com/2007/10/gu ... -5100.html

O problema das configurações resetando é por causa do serviço alsa-utils que não está presente, provavelmente a instalação do pacote alsa-utils falhou aí. Versão do alsa é minima, aqui tb tenho a 1.0.16 e o alsa-utils está presente, a única diferença significativa é que seu kernel é 2.6.18 e o dele é 2.6.22 o meu é 2.6.24. O principal é que não pode ocorrer erros na compilação, portanto faça os procedimentos do pré-compilamento do kernel antes de construir e compilar o alsa.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/04/2008, 22:27
Resposta: #14
 
dmatrix, antes de compilar o kernel e fazer seguir sua última dica, onde posso descobrir se meu kernel é o mais apropriado para meu computador:

acer aspire 5100-3139
amd turion 64 2.2 ghz 512 kb l2 cache
1 gb ddr2

lembrando que meu kernel é o 2.6.18-6-amd64

valeu

caqui
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
24/04/2008, 20:26
Resposta: #15
 
aquitemcaqui Escreveu:dmatrix, antes de compilar o kernel e fazer seguir sua última dica, onde posso descobrir se meu kernel é o mais apropriado para meu computador:

acer aspire 5100-3139
amd turion 64 2.2 ghz 512 kb l2 cache
1 gb ddr2

lembrando que meu kernel é o 2.6.18-6-amd64

valeu

seu kernel está de acordo com a estrutura do seu hardware que é um amd64, mas se vc puder faça um update do kernel para a versão do lenny , é só mudar temporáriamente o seu sources.list para lenny e baixar somente os pacotes do kernel 2.6.24-x-amd64 (imagem, headers, source e kbuild tb), depois volte para o sources para os repositórios originais. Com sorte pode ser que exista alguma diferença no suporte ao alsa.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS